Upstream information

CVE-2018-8020 at MITRE

Description

Apache Tomcat Native 1.2.0 to 1.2.16 and 1.1.23 to 1.1.34 has a flaw that does not properly check OCSP pre-produced responses, which are lists (multiple entries) of certificate statuses. Subsequently, revoked client certificates may not be properly identified, allowing for users to authenticate with revoked certificates to connections that require mutual TLS. Users not using OCSP checks are not affected by this vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.4 7.1
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:L/A:N
Attack Vector Network Network
Attack Complexity High Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High Low
Availability Impact None None
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1103347 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libtcnative-1-0-devel >= 1.2.17-1.12
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libtcnative-1-0-devel-1.2.17-1.12
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libtcnative-1-0 >= 1.2.23-3.3.3
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libtcnative-1-0-1.2.23-3.3.3
SUSE Linux Enterprise Point of Sale 11 SP3
  • libtcnative-1-0 >= 1.3.4-12.5.5.2
Patchnames:
sleposp3-libtcnative-1-0-14014
SUSE Linux Enterprise Server 11 SP4-LTSS
  • libtcnative-1-0 >= 1.3.4-12.5.5.2
Patchnames:
slessp4-libtcnative-1-0-14014
SUSE Linux Enterprise Server 12 SP4
  • libtcnative-1-0 >= 1.2.17-1.12
  • libtcnative-1-0-devel >= 1.2.17-1.12
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libtcnative-1-0-1.2.17-1.12
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libtcnative-1-0-devel-1.2.17-1.12
SUSE Linux Enterprise Server 12 SP5
  • libtcnative-1-0 >= 1.2.23-3.3.3
  • libtcnative-1-0-devel >= 1.2.23-3.3.3
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libtcnative-1-0-1.2.23-3.3.3
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libtcnative-1-0-devel-1.2.23-3.3.3
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libtcnative-1-0-devel >= 1.2.23-3.3.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libtcnative-1-0-devel-1.2.23-3.3.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libtcnative-1-0 Not affected
SUSE Linux Enterprise Desktop 15 SP5 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Desktop 15 SP6 libtcnative-1-0 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP5 libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP6 libtcnative-1-0 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP6 libtcnative-1-0 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP5 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP6 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP5 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15 SP5 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15 SP6 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP6 libtcnative-1-0 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 libtcnative-1-0 Not affected
SUSE Manager Proxy 4.3 libtcnative-1-0 Already fixed
SUSE Manager Retail Branch Server 4.3 libtcnative-1-0 Already fixed
SUSE Manager Server 4.3 libtcnative-1-0 Already fixed
openSUSE Leap 15.5 libtcnative-1-0 Not affected
openSUSE Leap 15.6 libtcnative-1-0 Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS libtcnative-1-0 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP4 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP3 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP4 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15 SP2 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15 SP3 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 15 SP4 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15 SP4-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libtcnative-1-0 Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libtcnative-1-0 Not affected
SUSE CaaS Platform 4.0 libtcnative-1-0 Already fixed
SUSE CaaS Platform 4.5 libtcnative-1-0 Not affected
SUSE Enterprise Storage 5 libtcnative-1-0 Not affected
SUSE Enterprise Storage 6 libtcnative-1-0 Not affected
SUSE Enterprise Storage 7 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Desktop 12 libtcnative-1-0 Not affected
SUSE Linux Enterprise Desktop 12 SP1 libtcnative-1-0 Not affected
SUSE Linux Enterprise Desktop 12 SP2 libtcnative-1-0 Not affected
SUSE Linux Enterprise Desktop 12 SP3 libtcnative-1-0 Not affected
SUSE Linux Enterprise Desktop 12 SP4 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Desktop 15 SP2 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Desktop 15 SP3 libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 libtcnative-1-0 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 libtcnative-1-0 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS libtcnative-1-0 Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS libtcnative-1-0 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 libtcnative-1-0 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP1 libtcnative-1-0 Not affected
SUSE Linux Enterprise Point of Sale 11 SP3 libtcnative-1-0 Released
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT libtcnative-1-0 Not affected
SUSE Linux Enterprise Point of Service 11 SP3 libtcnative-1-0 Not affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 libtcnative-1-0 Not affected
SUSE Linux Enterprise Real Time 15 SP2 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Real Time 15 SP3 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Real Time 15 SP4 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 11 SP1 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 11 SP1-LTSS libtcnative-1-0 Affected
SUSE Linux Enterprise Server 11 SP2 libtcnative-1-0 Affected
SUSE Linux Enterprise Server 11 SP2-LTSS libtcnative-1-0 Affected
SUSE Linux Enterprise Server 11 SP3 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS libtcnative-1-0 Affected
SUSE Linux Enterprise Server 11 SP4 libtcnative-1-0 Affected
SUSE Linux Enterprise Server 11 SP4 LTSS libtcnative-1-0 Released
SUSE Linux Enterprise Server 11 SP4-LTSS libtcnative-1-0 Released
SUSE Linux Enterprise Server 12 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP1 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP2 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP3 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP3-BCL libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 12 SP4 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 12 SP4-ESPOS libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 12 SP4-LTSS libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 12-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 15 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 15 SP1 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15 SP3-BCL libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server 15-LTSS libtcnative-1-0 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libtcnative-1-0 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 libtcnative-1-0 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libtcnative-1-0 Not affected
SUSE Linux Enterprise Software Development Kit 12 libtcnative-1-0 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 libtcnative-1-0 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libtcnative-1-0 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libtcnative-1-0 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libtcnative-1-0 Already fixed
SUSE Manager Proxy 4.0 libtcnative-1-0 Not affected
SUSE Manager Proxy 4.1 libtcnative-1-0 Already fixed
SUSE Manager Proxy 4.2 libtcnative-1-0 Already fixed
SUSE Manager Retail Branch Server 4.0 libtcnative-1-0 Not affected
SUSE Manager Retail Branch Server 4.1 libtcnative-1-0 Already fixed
SUSE Manager Retail Branch Server 4.2 libtcnative-1-0 Already fixed
SUSE Manager Server 4.0 libtcnative-1-0 Not affected
SUSE Manager Server 4.1 libtcnative-1-0 Already fixed
SUSE Manager Server 4.2 libtcnative-1-0 Already fixed
SUSE OpenStack Cloud 7 libtcnative-1-0 Not affected
SUSE OpenStack Cloud 8 libtcnative-1-0 Not affected
SUSE OpenStack Cloud 9 libtcnative-1-0 Already fixed
SUSE OpenStack Cloud Crowbar 8 libtcnative-1-0 Not affected
SUSE OpenStack Cloud Crowbar 9 libtcnative-1-0 Already fixed
openSUSE Leap 15.3 libtcnative-1-0 Already fixed
openSUSE Leap 15.4 libtcnative-1-0 Already fixed


SUSE Timeline for this CVE

CVE page created: Tue Jul 31 16:55:54 2018
CVE page last modified: Fri Jul 19 17:08:38 2024